Bug 169905 - CAN-2005-1705 gdb arbitrary command execution
CAN-2005-1705 gdb arbitrary command execution
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gdb (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Elena Zannoni
Jay Turner
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-10-04 18:22 EDT by Josh Bressers
Modified: 2015-01-07 19:10 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-801
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-18 11:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-04 18:22:26 EDT
+++ This bug was initially created as a clone of Bug #158684 +++

gdb before 6.3 searches the current working directory to load the
.gdbinit configuration file, which allows local users to execute
arbitrary commands as the user running gdb.

More information can be found in the gentoo BTS:

This bug is the placeholder for the pending RHEL2.1 errata.
Comment 1 Red Hat Bugzilla 2005-10-18 11:36:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.